Move to Gradle 1.3
authorXavier Ducrohet <xav@android.com>
Mon, 10 Dec 2012 23:20:31 +0000 (15:20 -0800)
committerXavier Ducrohet <xav@android.com>
Tue, 11 Dec 2012 18:21:44 +0000 (10:21 -0800)
commit7d37b2da92258af4e92da1055767706097d81428
tree674f6907dd50081550410eec627a0cce91a0dc55
parentbd04878e60be0477dd7752f731c29a880b0268f9
Move to Gradle 1.3

- Update the wrapper and wrapper scripts to force 1.3

- add gradle version detection to the android plugins
  to make them fail if the version of gradle is not right.

- Ensure the test projects are built with the right
  version.

Change-Id: Ibd2d970f9bdf98acbca54847eb493b3379532d99
build.gradle
gradle/src/integration-test/groovy/com/android/build/gradle/ProjectTest.groovy
gradle/src/main/groovy/com/android/build/gradle/BasePlugin.groovy
gradle/wrapper/gradle-wrapper.jar
gradle/wrapper/gradle-wrapper.properties
gradlew
gradlew.bat